2017-05-30 12:57 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001731openmediavaultBugpublic2017-04-30 18:13
Reporterdalito 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSDebianOS Version8.7.1
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001731: Bug in filesystems view (0001721) still present
DescriptionA variant of bug 0001721 is still present in OMV 3.0.73. The error message is now slightly different:

fsname: The value 'NULL' is not a string.
Error #0: exception 'OMV\Json\SchemaValidationException' with message 'fsname: The value 'NULL' is not a string.' in /usr/share/php/openmediavault/json/schema.inc:366 Stack trace: #0 /usr/share/php/openmediavault/json/schema.inc(297): OMV\Json\Schema->validateString(NULL, Array, 'fsname') #1 /usr/share/php/openmediavault/json/schema.inc(624): OMV\Json\Schema->validateType(NULL, Array, 'fsname') 0000002 /usr/share/php/openmediavault/json/schema.inc(395): OMV\Json\Schema->checkProperties(Object(stdClass), Array, '') 0000003 /usr/share/php/openmediavault/json/schema.inc(285): OMV\Json\Schema->validateObject(Object(stdClass), Array, '') 0000004 /usr/share/php/openmediavault/json/schema.inc(257): OMV\Json\Schema->validateType(Object(stdClass), Array, '') 0000005 /usr/share/php/openmediavault/rpc/paramsvalidator.inc(59): OMV\Json\Schema->validate('{"fsname":null}') 0000006 /usr/share/php/openmediavault/rpc/serviceabstract.inc(170): OMV\Rpc\ParamsValidator->validate('{"fsname":null}') 0000007 /usr/share/openmediavault/engined/rpc/fstab.inc(171): OMV\Rpc\ServiceAbstract->validateMethodParams(Array, 'rpc.fstab.getby...') #8 [internal function]: OMVRpcServiceFsTab->getByFsName(Array, Array) 0000009 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array) #10 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('getByFsName', Array, Array) #11 /usr/share/openmediavault/engined/rpc/filesystemmgmt.inc(112): OMV\Rpc\Rpc::call('FsTab', 'getByFsName', Array, Array) #12 [internal function]: OMVRpcServiceFileSystemMgmt->enumerateFilesystems(NULL, Array) 0000013 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array) #14 /usr/share/openmediavault/engined/rpc/filesystemmgmt.inc(288): OMV\Rpc\ServiceAbstract->callMethod('enumerateFilesy...', NULL, Array) #15 [internal function]: OMVRpcServiceFileSystemMgmt->getList(Array, Array) #16 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array) #17 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('getList', Array, Array) #18 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('FileSystemMgmt', 'getList', Array, Array, 1) #19 {main}
Steps To ReproduceGo to File systems view. Every few seconds a new error dialogue pops up.
Additional InformationI only have a ZFS storage pool (no other raid or fs). The ZFS plugin is working fine. In its view all ZFS storages (pool & filesystems) are shown properly.

plugin-version: openmediavault-zfs 3.0.14
TagsNo tags attached.
Product build
Attached Files

-Relationships
related to 0001728closedvotdev File system view reporting no data 
+Relationships

-Notes

~0004723

dalito (reporter)

I just see that the error was also reported as 0001728 but without mentioning zfs. Maybe it is not related to zfs as the original issue suggested?

~0004725

ryecoaaron27 (reporter)

This is a bug in the zfs plugin. Stay on OMV 3.0.69 until it is fixed.

~0004729

votdev (administrator)

Fixed with openmediavault 3.0.74 and openmediavault-zfs 3.0.15, see https://github.com/openmediavault/openmediavault/commit/b7b5a392f655587cdadd7d126e8a12d5fe7958f2 and https://github.com/OpenMediaVault-Plugin-Developers/openmediavault-zfs/commit/334db9e742136f585d65e0a6371317a6dc221c54.
+Notes

-Issue History
Date Modified Username Field Change
2017-04-28 21:23 dalito New Issue
2017-04-28 21:23 dalito Status new => assigned
2017-04-28 21:23 dalito Assigned To => votdev
2017-04-28 21:28 dalito Note Added: 0004723
2017-04-29 14:01 ryecoaaron27 Note Added: 0004725
2017-04-30 17:16 votdev Relationship added related to 0001728
2017-04-30 18:13 votdev Status assigned => resolved
2017-04-30 18:13 votdev Resolution open => fixed
2017-04-30 18:13 votdev Fixed in Version => Erasmus (3.x)
2017-04-30 18:13 votdev Note Added: 0004729
+Issue History